Package org.linphone.core

# Enum Class MediaDirection

java.lang.Object
java.lang.Enum<MediaDirection>
org.linphone.core.MediaDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaDirection>`, `Constable`

public enum MediaDirection extends Enum<MediaDirection>
Indicates for a given media the stream direction.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Inactive`
No active media not supported yet.
`Invalid`
Default value, shouldn't be used.
`RecvOnly`
Media will only be received, nothing will be sent.
`SendOnly`
Media is only being sent, it won't be received.
`SendRecv`
Media will be sent and received.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaDirection`
`fromInt(int value)`
`protected static MediaDirection[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaDirection[] values)`
`static MediaDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Invalid

public static final MediaDirection Invalid
Default value, shouldn't be used.

### Inactive

public static final MediaDirection Inactive
No active media not supported yet.

### SendOnly

public static final MediaDirection SendOnly
Media is only being sent, it won't be received.

### RecvOnly

public static final MediaDirection RecvOnly
Media will only be received, nothing will be sent.

### SendRecv

public static final MediaDirection SendRecv
Media will be sent and received.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaDirection fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaDirection[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaDirection[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()